Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=frugalware-current.git;a=commitdiff;h=3812a44083093cbc4f325e4ede4831d25045b1ab

commit 3812a44083093cbc4f325e4ede4831d25045b1ab
Author: crazy <cr...@frugalware.org>
Date:   Sat Aug 12 17:59:53 2017 +0200

openscenegraph-3.4.0-6-x86_64
* use Finclude github
* updated comments about Qt5 and 3.5.x version(s)

diff --git a/source/xlib-extra/openscenegraph/FrugalBuild 
b/source/xlib-extra/openscenegraph/FrugalBuild
index d23fa8f..9620810 100644
--- a/source/xlib-extra/openscenegraph/FrugalBuild
+++ b/source/xlib-extra/openscenegraph/FrugalBuild
@@ -3,11 +3,10 @@
# Contributor: Devil505 <devil505li...@gmail.com>
# Contributor: Miklos Vajna <vmik...@frugalware.org>

-## WARNING: do not bump to '3.5.*' now
-##          it will break all rev-depends
-
-## TODO: figure Qt5
+## WARNING: if you bump to '3.5.*' you'll need fix _all_ rev-depends

+## TODO: figure Qt5. Maybe this ? -> https://github.com/openscenegraph/osgQt
+_F_archive_name="OpenSceneGraph"
pkgname=openscenegraph
pkgver=3.4.0
pkgrel=6
@@ -21,9 +20,11 @@ archs=('i686' 'x86_64')
sha1sums=('e724296b464ffa2a8b8165103c4bc002cb32f95b' \
'47d269808ecad1df2b41325bf791c288bead001d')
_F_cmake_confopts+=" -DLIB_POSTFIX=""" ## this is from lib64 , set to nothing 
so it installs in /lib/ , do not remove
-Finclude cmake
-up2date="Fwcat https://github.com/openscenegraph/osg/tags|grep -m1 .tar.gz|sed 
's/.*OpenSceneGraph.\(.*\)\.tar.gz.*/\1/'"
-source=(https://github.com/$pkgname/osg/archive/OpenSceneGraph-$pkgver.tar.gz 
jpeg.patch)
+_F_github_author="$pkgname"
+_F_github_name="OpenSceneGraph"
+_F_github_grepv="-rc[0-9]"
+Finclude cmake github
+source+=(jpeg.patch)
_F_cd_path="OpenSceneGraph-OpenSceneGraph-$pkgver"

_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to